#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	requestbuilder
Summary:	Command line-driven HTTP request builder
Summary(pl.UTF-8):	Budowanie żądań HTTP w oparciu o linię poleceń
Name:		python-%{module}
Version:	0.2.3
Release:	11
License:	ISC
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/r/requestbuilder/%{module}-%{version}.tar.gz
# Source0-md5:	3d9793e3a3b3dad23a8475e0480581db
URL:		https://github.com/boto/requestbuilder
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools > 1:7.0
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools > 1:7.0
%endif
Requires:	python-requests >= 1
Requires:	python-six
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Command line-driven HTTP request builder.

%description -l pl.UTF-8
Budowanie żądań HTTP w oparciu o linię poleceń.

%package -n python3-%{module}
Summary:	Command line-driven HTTP request builder
Summary(pl.UTF-8):	Budowanie żądań HTTP w oparciu o linię poleceń
Group:		Libraries/Python
Requires:	python-requests >= 1
Requires:	python-six

%description -n python3-%{module}
Command line-driven HTTP request builder.

%description -n python3-%{module} -l pl.UTF-8
Budowanie żądań HTTP w oparciu o linię poleceń.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-requestbuilder.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e4f00d8
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 40703c7
- Release 10 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> c00e50b
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 088e4dd
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 66d5689
- pl, cleanup

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 53fc63b
- setuptools epoch

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 4ac461a
- release 7 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c77a192
- rebuild with python 3.8
- release 6 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 17093e4
- release 5 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 66a2b69
- python 3.6
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2b7a625
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 69d32ae
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 208cb3c
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 57c31be
- python3.5 rebuild
- release 2 (by relup.sh)

* Tue Mar 31 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> d81cedb
- Release: 1

* Tue Mar 31 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 4f8c26a
- new package

